Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieDirectoryObject

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_DirectoryObject

                                    |

                                    +--oracle.ifs.server.S_TieDirectoryObject

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_DirectoryGroup, S_DirectoryUser

public class S_TieDirectoryObject
extends S_DirectoryObject

An S_TieDirectoryObject allows the Oracle-defined behavior of the DIRECTORYOBJECT classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_DirectoryObject`

Constructor Summary
`protected` | `S_TieDirectoryObject(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieDirectoryObject for a new DIRECTORYOBJECT.
`protected` | `S_TieDirectoryObject(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieDirectoryObject for an existing DIRECTORYOBJECT.

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`extendedPreFree, getAllAncestors, getAllMembers, getDirectAncestors, getDirectMembers`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieDirectoryObject

    protected S_TieDirectoryObject(S_LibrarySession session,
                                   S_LibraryObjectData data)
                            throws IfsException

  Constructs an S_TieDirectoryObject for an existing DIRECTORYOBJECT.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieDirectoryObject

    protected S_TieDirectoryObject(S_LibrarySession session,
                                   java.lang.Long classId)
                            throws IfsException

  Constructs an S_TieDirectoryObject for a new DIRECTORYOBJECT.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD